library ieee;
use ieee.std_logic.all;

--! \brief test entity
--! \details test enitity description

entity test is
	port (
		clk		: in std_logic; --! clock input
		reset	: in std_logic; --! active high reste
		
		data_in	: in std_logic_vector(7 downto 0); --! input data
		data_out	: in std_logic_vector(7 downto 0) --! output data
	);
end test;

/*! \brief test architecture
\details test arch description
*/
architecture test_arch of test is

signal test_sig		: std_logic; --! test signal

begin


--! \brief test sig process
p_test_sig_reg : process(clk,reset)
begin
if reset = '1' then
	test_sig <= '0';
else
	if rising_edge(clk) then
		test_sig <= data_in(0);
	end if;
end if;
end process;


-- This comments breaks the processing of the architecture */


--! \brief test out porcess
p_test : process(clk,reset)
begin
if reset = '1' then
	data_out <= (others => '0');
else
	if rising_edge(clk) then
		data_out <= data_in;
	end if;
end if;
end process;

end test_arch;
